PTHREAD_ATTR(3)

NAME
pthread_attr_getstacksize, pthread_attr_setstacksize - thread attribute operations

SYNOPSIS
#include <pthread.h>
int
pthread_attr_getstacksize(const pthread_attr_t *restrict attr, size_t *restrict stacksize);
int
pthread_attr_setstacksize(pthread_attr_t *attr, size_t stacksize);

DESCRIPTION
Thread attributes are used to specify parameters to pthread_create(). One attribute object can be used in multiple calls to pthread_create(), with or without modifications between calls.

The functions pthread_attr_setstacksize() and pthread_attr_getstacksize(), respectively, set and get the size of the stack that is to be created for the new thread. The stack size attribute is set within the attr argument, which can subsequently be used as an argument to pthread_create().

RETURN VALUES
If successful, these functions return 0. Otherwise, an error number is returned to indicate the error. pthread_attr_getstacksize() returns the stacksize attribute value in stacksize if successful.

ERRORS
pthread_attr_getstacksize() will fail if:

[EINVAL]
    Invalid value for attr.

pthread_attr_setstacksize() will fail if:

[EINVAL]
    Invalid value for attr.

[EINVAL]
    stacksize is less than PTHREAD_STACK_MIN.

[EINVAL]
    stacksize is not a multiple of the system page size.

SEE ALSO
pthread_create(3), pthread_attr_init(3), pthread_attr_setstackaddr(3)

STANDARDS
pthread_attr_setstacksize(), pthread_attr_getstacksize() conform to p1003.1-96